Subject: Re: [PATCH net-next] net: phy: mxl-gpy: Add PHY Auto/MDI/MDI-X set driver for GPY211 chips

From: Andrew Lunn <[email-masked]>
Date: Mon, 24 Oct 2022 13:54:16 +0200

> > Do you know why gpy_update_interface() is a void function? It is
> > called from gpy_read_status() which does return error codes. And it
> > seems like gpy_read_status() would benefit from returning -EINVAL, etc.
> 
> Do you want me to change gpy_update_interface() return type ?
> Can I do those changes as part of this commit or need to fix on "net"
> branch ?

I would say it is not a fix, so do it on net-next. But do it as a
separate patch please.

	 Andrew